CalendarStorage Class Reference

StoragePlugin class for harmattan. More...

`#include <CalendarStorage.h>`

Inheritance diagram for CalendarStorage:

## Public Member Functions

| CalendarStorage (const QString &aPluginName)
| constructor
| ~CalendarStorage ()
| destructor
virtual bool | init (const QMap< QString, QString > &aProperties)
virtual bool | uninit ()
virtual bool | getAllItems (QList< Buteo::StorageItem * > &aItems)
virtual bool | getAllItemIds (QList< QString > &aItemIds)
virtual bool | getNewItems (QList< Buteo::StorageItem * > &aNewItems, const QDateTime &aTime)
virtual bool | getNewItemIds (QList< QString > &aNewItemIds, const QDateTime &aTime)
virtual bool | getModifiedItems (QList< Buteo::StorageItem * > &aModifiedItems, const QDateTime &aTime)
virtual bool | getModifiedItemIds (QList< QString > &aModifiedItemIds, const QDateTime &aTime)
virtual bool | getDeletedItemIds (QList< QString > &aDeletedItemIds, const QDateTime &aTime)
virtual Buteo::StorageItem * | newItem ()
virtual Buteo::StorageItem * | getItem (const QString &aItemId)
virtual QList< Buteo::StorageItem * > | getItems (const QStringList &aItemIdList)
virtual OperationStatus | addItem (Buteo::StorageItem &aItem)
virtual QList< OperationStatus > | addItems (const QList< Buteo::StorageItem * > &aItems)
virtual OperationStatus | modifyItem (Buteo::StorageItem &aItem)
virtual QList< OperationStatus > | modifyItems (const QList< Buteo::StorageItem * > &aItems)
virtual OperationStatus | deleteItem (const QString &aItemId)
virtual QList< OperationStatus > | deleteItems (const QList< QString > &aItemIds)

## Detailed Description

StoragePlugin class for harmattan.

## Member Function Documentation

## addItem()

virtual OperationStatus CalendarStorage::addItem | ( | Buteo::StorageItem & | aItem | ) |

virtual

See also
  StoragePlugin::addItem()

## addItems()

virtual QList< OperationStatus > CalendarStorage::addItems | ( | const QList< Buteo::StorageItem * > & | aItems | ) |

virtual

See also
  StoragePlugin::addItems()

## deleteItem()

virtual OperationStatus CalendarStorage::deleteItem | ( | const QString & | aItemId | ) |

virtual

See also
  StoragePlugin::deleteItem()

## deleteItems()

virtual QList< OperationStatus > CalendarStorage::deleteItems | ( | const QList< QString > & | aItemIds | ) |

virtual

See also
  StoragePlugin::deleteItems()

## getAllItemIds()

virtual bool CalendarStorage::getAllItemIds | ( | QList< QString > & | aItemIds | ) |

virtual

See also
  StoragePlugin::getAllItemIds()

## getAllItems()

virtual bool CalendarStorage::getAllItems | ( | QList< Buteo::StorageItem * > & | aItems | ) |

virtual

See also
  StoragePlugin::getAllItems()

## getDeletedItemIds()

virtual bool CalendarStorage::getDeletedItemIds | ( | QList< QString > & | aDeletedItemIds,
|  | const QDateTime & | aTime )

virtual

See also
  StoragePlugin::getDeletedItemIds()

## getItem()

virtual Buteo::StorageItem * CalendarStorage::getItem | ( | const QString & | aItemId | ) |

virtual

See also
  StoragePlugin::getItem()

## getItems()

virtual QList< Buteo::StorageItem * > CalendarStorage::getItems | ( | const QStringList & | aItemIdList | ) |

virtual

See also
  StoragePlugin::getItems()

## getModifiedItemIds()

virtual bool CalendarStorage::getModifiedItemIds | ( | QList< QString > & | aModifiedItemIds,
|  | const QDateTime & | aTime )

virtual

See also
  StoragePlugin::getModifiedItemIds()

## getModifiedItems()

virtual bool CalendarStorage::getModifiedItems | ( | QList< Buteo::StorageItem * > & | aModifiedItems,
|  | const QDateTime & | aTime )

virtual

See also
  StoragePlugin::getModifiedItems()

## getNewItemIds()

virtual bool CalendarStorage::getNewItemIds | ( | QList< QString > & | aNewItemIds,
|  | const QDateTime & | aTime )

virtual

See also
  StoragePlugin::getNewItemIds()

## getNewItems()

virtual bool CalendarStorage::getNewItems | ( | QList< Buteo::StorageItem * > & | aNewItems,
|  | const QDateTime & | aTime )

virtual

See also
  StoragePlugin::getNewItems()

## init()

virtual bool CalendarStorage::init | ( | const QMap< QString, QString > & | aProperties | ) |

virtual

See also
  StoragePlugin::init()

## modifyItem()

virtual OperationStatus CalendarStorage::modifyItem | ( | Buteo::StorageItem & | aItem | ) |

virtual

See also
  StoragePlugin::modifyItem()

## modifyItems()

virtual QList< OperationStatus > CalendarStorage::modifyItems | ( | const QList< Buteo::StorageItem * > & | aItems | ) |

virtual

See also
  StoragePlugin::modifyItems()

## newItem()

virtual Buteo::StorageItem * CalendarStorage::newItem | ( |  | ) |

virtual

See also
  StoragePlugin::newItem()

## uninit()

virtual bool CalendarStorage::uninit | ( |  | ) |

virtual

See also
  StoragePlugin::uninit()

The documentation for this class was generated from the following file:

- CalendarStorage.h